SNMPCHECK(1)

NAME
snmpcheck - SNMP device enumerator

SYNOPSIS
snmpcheck -t [host] [options]

OPTIONS
-t : target host;
-p : SNMP port; default port is 161;
-c : SNMP community; default is public;
-v : SNMP version (1,2); default is 1;
-r : request retries; default is 0;
-w : detect write access (separate action by enumeration);
-d : disable 'TCP connections' enumeration!
-T : force timeout in seconds; default is 20. Max is 60;
-D : enable debug;
-h : show help menu;

DESCRIPTION
snmpcheck allows you to enumerate the SNMP devices and places the output in a very human readable friendly format. It could be useful for penetration testing or systems monitoring.

EXAMPLE

Query private community string
    snmpcheck -t 192.168.1.1 -c private

Query SNMPv2
    snmpcheck -t 192.168.1.1 -v 2

Query changing timeout
    snmpcheck -t 192.168.1.1 -T 40 -c private

SEE ALSO
snmpcmd(1), snmpbulkwalk(1), snmpwalk(1), snmptest(1)

AUTHOR
Matteo Cantoni

NOTES
Homepage
http://www.nothink.org/codes/snmpcheck/

COPYRIGHT
Copyright (c) 2005-2011 by Matteo Cantoni
Distributed under GPL license and based on "Athena-2k" script by jshaw.
http://www.gnu.org/licenses/